> ## Documentation Index
> Fetch the complete documentation index at: https://docs.notifly.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# 카카오 친구톡 발송(~2026.05.31 지원중단)

> 카카오 친구톡 메시지를 발송합니다. 친구톡 메시지는 수신자 목록, 광고 여부, 메시지 유형 등을 설정하여 전송합니다.

<Warning>
  **주의 사항**

  * HTTP API를 이용한 카카오 친구톡 발송은 노티플라이 카카오톡 자체 발송 설정이 되어있을 경우에만 가능합니다.
  * 아직 API를 이용한 발송 결과에 대한 통계는 UI로 제공되지 않습니다. 정보가 필요하실 경우 [contact@notifly.tech](mailto:contact@notifly.tech)으로 문의해주세요.
</Warning>

<Warning>
  **친구톡 광고 메시지 대체 발송 시 주의사항**

  친구톡 광고 메시지가 실패하여 광고 SMS로 대체 발송되는 경우, 반드시 080 수신 거부 번호가 등록되어 있어야 합니다.

  * `resendContent` 필드를 입력한 경우: SMS 광고 API의 광고 문구 규격에 맞게 필수 광고 문구를 포함해야 정상 대체 발송됩니다.
  * `resendContent` 필드를 입력하지 않은 경우: 등록된 080 수신 거부 번호를 활용하여 광고 문구를 자동 생성하여 대체 발송됩니다.
</Warning>


## OpenAPI

````yaml /ko/api-reference/openapi.yaml post /messages/kakao-friendtalk
openapi: 3.0.3
info:
  title: Notifly API
  version: 1.0.0
  contact:
    email: contact@notifly.tech
servers:
  - url: https://api.notifly.tech
    description: 노티플라이 API 서버입니다
security: []
tags:
  - name: catalog
    x-group: 카탈로그
paths:
  /messages/kakao-friendtalk:
    post:
      summary: send-kakao-friendtalk
      operationId: sendKakaoFriendtalk
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - projectId
                - messageType
                - recipientList
              properties:
                projectId:
                  type: string
                  description: 노티플라이 설정 페이지에서 확인 가능
                channelId:
                  type: string
                  description: 여러 카카오 채널이 등록되어 있을 경우 발송할 채널 ID
                messageType:
                  type: string
                  enum:
                    - text
                  description: 메시지 타입 (현재 text 타입만 지원)
                isAd:
                  type: boolean
                  description: 광고 여부 (기본값 true)
                recipientList:
                  type: array
                  items:
                    type: object
                    required:
                      - recipientNo
                      - content
                    properties:
                      recipientNo:
                        type: string
                        description: 수신 번호
                      content:
                        type: object
                        required:
                          - text
                        properties:
                          text:
                            type: string
                            description: 본문 내용
                      resendParameter:
                        type: object
                        description: 대체 발송 정보
                        properties:
                          isResend:
                            type: boolean
                            description: 발송 실패 시 문자 대체 발송 여부 (기본값 false)
                          resendType:
                            type: string
                            enum:
                              - SMS
                              - LMS
                            description: 대체 발송 타입(SMS, LMS). 템플릿 본문 길이에 따라 타입이 구분됩니다.
                          resendTitle:
                            type: string
                            description: LMS 대체 발송 제목 (기본값은 플러스친구 ID)
                          resendContent:
                            type: string
                            description: 대체 발송 내용 (기본값은 메시지 본문과 웹링크 버튼명 - 웹링크 Mobile 링크)
                  description: 수신자 목록 (최대 1,000명)
            example:
              projectId: example_project_1234567890abcdef
              messageType: text
              isAd: false
              recipientList:
                - recipientNo: '01012345678'
                  content:
                    text: 안녕하세요! 새로운 이벤트 소식을 알려드립니다.
      responses:
        '200':
          description: 성공적인 메시지 발송입니다
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
              example:
                success: true
        '400':
          description: 발신자 정보가 등록되지 않았습니다
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: string
                    nullable: true
                  error:
                    type: string
              example:
                data: null
                error: Sender info is not registered.
        '500':
          description: 서버 내부 오류입니다
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  error:
                    type: string
              example:
                success: false
                error: Internal Server Error
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: POST /authenticate로 발급받은 인증 토큰을 Bearer 형식으로 전달합니다.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.